> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Booking Clashes

> A booking clash is when one or more bookings overlap in time and (optionally) resources, which would create a double booking or scheduling conflict.

<Note>`READ` access to the `SCHEDULE` module is required to access this endpoint</Note><Info>If you are creating a booking and want to be sure there won't be a collision, you **don't** need to call this endpoint first.<br/><br/> New and updated bookings are automatically checked for clashes, unless the `check_clashes=false` is present as a query parameter.</Info>




## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml get /v2/booking/checkclash
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/booking/checkclash:
    get:
      tags:
        - Booking
      summary: Get Booking Clashes
      description: >
        A booking clash is when one or more bookings overlap in time and
        (optionally) resources, which would create a double booking or
        scheduling conflict.


        <Note>`READ` access to the `SCHEDULE` module is required to access this
        endpoint</Note><Info>If you are creating a booking and want to be sure
        there won't be a collision, you **don't** need to call this endpoint
        first.<br/><br/> New and updated bookings are automatically checked for
        clashes, unless the `check_clashes=false` is present as a query
        parameter.</Info>
      operationId: f1f1a975cea8e2e7de2f4d7c56d482d2
      parameters:
        - name: id
          in: query
          description: The ID of a booking to exclude from the clash check
          schema:
            type: integer
            format: int64
        - name: resources
          in: query
          description: >-
            Specify one or more resource ids and return only the booking clashes
            with these resources
          schema:
            type: string
            format: string
        - name: start
          in: query
          description: Return any bookings starting after the given UNIX timestamp
          required: true
          schema:
            type: integer
            format: int32
        - name: end
          in: query
          description: Return any bookings starting before the given UNIX timestamp
          required: true
          schema:
            type: integer
            format: int32
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/BookingCheckClashes'
                  meta:
                    $ref: '#/components/schemas/pagination'
                type: object
        '401':
          description: Authorization information is missing or invalid
      security:
        - bearer: []
components:
  parameters:
    page:
      name: page
      in: query
      description: Specify the page of results you wish to return
      schema:
        type: integer
    limit:
      name: limit
      in: query
      description: The number of results returned per page. Default if not specified is 10
      schema:
        type: integer
  schemas:
    BookingCheckClashes:
      title: Booking Clash Model
      description: Standard booking model that returns most properties by default
      properties:
        id:
          description: Booking ID
          type: integer
          example: 1
        name:
          description: Booking Name
          type: string
          example: Test Booking
        start:
          description: Unix Booking Start
          type: integer
          example: 1547501100
        end:
          description: Unix Booking End
          type: integer
          example: 1547538900
      type: object
    pagination:
      title: Pagination Meta Model
      properties:
        pagination:
          $ref: '#/components/schemas/meta'
      type: object
    meta:
      title: Page Meta Model
      properties:
        total:
          type: integer
          example: 1
        count:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 1
        current_page:
          type: integer
          example: 1
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````